Developer guidelines
====================

```{contents}
:depth: 2
```

## Initial developer setup

```
git clone https://github.com/torchsynth/torchsynth
cd torchsynth
pip3 install -e ".[dev]"
```

Make sure you have pre-commit hooks installed:
```
pre-commit install
```
This helps us avoid checking dirty jupyter notebook cells into the
repo.

## Examples

In Python or Jupyter Notebook (if you want to see pretty plots),
run `examples/examples.py`.

### Python 3.9 on OSX

Unfortunately, Python 3.9 on OSX Big Sur won't work, because
librosa repends upon numba which isn't packaged for 3.9 yet. In
which case you'll have to create a Python 3.7 conda environment.
(You might also need to downgrade LLVM to 10 or 9.):
```
conda install -c conda-forge ipython librosa matplotlib numpy matplotlib scipy jupytext
conda install -c anaconda ipykernel
python -m ipykernel install --user --name=envname
```
and change the kernel to `envname`.

## Tests

Unit testing is performed using `pytest`.

To run tests, run `pytest` from the project root:
```
TORCHSYNTH_DEBUG=True pytest
```

To run tests with a coverage report:
```
pytest --cov=./torchsynth
```

Examples also serves as an integration test:
```
python examples/examples.py
```
